Bug 193240 - Review Request: XaraLX - Vector/general purpose graphics utility
Review Request: XaraLX - Vector/general purpose graphics utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-26 10:53 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 18:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-05-26 10:53:21 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/XaraLX.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/XaraLX-0.5-1.src.rpm
Description:
General purpose and vector graphics program, supports photo, graphics, and
illustration creation and editing.
Comment 1 Gérard Milmeister 2006-05-27 11:34:53 EDT
Does not build in mock:
  "autoreconf: failed to run autopoint: No such file or directory"
Needs BuildReq: gettext-devel
Comment 2 Ralf Corsepius 2006-05-28 00:38:58 EDT
(In reply to comment #1)
> Does not build in mock:
>   "autoreconf: failed to run autopoint: No such file or directory"
> Needs BuildReq: gettext-devel
You should not run autoreconf in specs - You should use patches.
Comment 3 Gérard Milmeister 2006-07-26 11:41:26 EDT
The latest version 0.7 rev 1537 builds fine here.
Comment 4 Paul F. Johnson 2006-07-26 17:42:43 EDT
#3 - have you got a spec file you can upload somewhere?
Comment 5 Gérard Milmeister 2006-07-26 18:17:30 EDT
(In reply to comment #4)
> #3 - have you got a spec file you can upload somewhere?
I simply used the one from comment #1.
I suspect that spot is not very interesting in this package anymore or
is to busy with other things currently. Maybe someone else can step in?
Comment 6 Paul F. Johnson 2006-07-27 02:23:25 EDT
#5 - someone has. me. 
Comment 7 Paul F. Johnson 2006-07-27 08:56:33 EDT
Spec URL: http://www.knox.net.nz/~nodoid/XaraLX.spec
SRPM URL: http://www.knox.net.nz/~nodoid/XaraLX-0.7-1.r1564.src.rpm

- bump to new version
- includes 64 bit fixes
- Additional docs
- fixed EOL for xaralx.htm
- fixed multiple mode errors for header and source files
- removed mixed use of spaces and tabs

The package builds cleanly on x86_64 with rpmlint not giving a single complaint!
I've not built it in mock yet (my testrig is not working happily today from a
remote login).
Comment 8 Michael J Knox 2006-07-27 17:45:55 EDT
I will review this one. 

----------------------------------------

Review for release 1.r1564:
* RPM name is OK
* Source XaraLX-0.7r1564.tar.bz2 is the same as upstream


Needs work:
* BuildRequires: perl should not be included
  (wiki: PackagingGuidelines#Exceptions)

* Build failed in mock
autoreconf: failed to run autopoint: No such file or directory

Minor:
* Duplicate BuildRequires: automake (by libtool), autoconf (by libtool), perl
(by automake), gtk2-devel (by wxGTK-devel)

Comment 9 Paul F. Johnson 2006-07-27 19:31:54 EDT
Spec URL: http://www.knox.net.nz/~nodoid/XaraLX.spec

(I've not uploaded a new src.rpm by agreement with the reviewer)

- changed group to Applications/Publishing
- fixed autoreconf problem (BR gettext-devel)
- removed dupes in BR
- removed BR perl
- added mime-info
- added examples
Comment 10 Paul F. Johnson 2006-07-30 19:48:06 EDT
Spec URL: http://www.knox.net.nz/~nodoid/XaraLX.spec
SRPM URL: http://www.knox.net.nz/~nodoid/XaraLX-0.7-1.r1614.src.rpm

- bump to newer tarball
- Removed the examples from the main package
- Created examples subpackage

Comment 11 Paul F. Johnson 2006-07-31 16:14:12 EDT
Spec URL: http://www.knox.net.nz/~nodoid/XaraLX.spec
Patch URL : Spec URL: http://www.knox.net.nz/~nodoid/xaralx.desktop.patch

- updated spec
- fixed desktop file
- removed unused (and empty) directory
Comment 12 Michael J Knox 2006-08-01 17:35:40 EDT
Looks good Paul. Menu entry shows up now too. APPROVED. 

Please remember to close this review request once imported and built.
Comment 13 Paul F. Johnson 2006-08-01 18:02:48 EDT
Thanks for that and such an easy review process!

Note You need to log in before you can comment on or make changes to this bug.